<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref24.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis.Processors.Comments.Filter.SSSFilter - Synopsis.Processors.ModuleFilter.ModuleFilter.pop</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis.Processors.Comments.Filter.SSSFilter - Synopsis.Processors.ModuleFilter.ModuleFilter.pop</h1><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSSFilter" /><h2 >Class Synopsis.Processors.Comments.Filter.SSSFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#112">Synopsis/Processors/Comments/Filter.py:112</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Filter.html" >Synopsis.Processors.Comments.Filter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#115">Synopsis/Processors/Comments/Filter.py:115</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html#sss" >sss</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#117">Synopsis/Processors/Comments/Filter.py:117</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#124">Synopsis/Processors/Comments/Filter.py:124</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html#filter_comment" >filter_comment</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSSFilter.__init__" /><h2 >Method Synopsis.Processors.Comments.Filter.SSSFilter.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#117">Synopsis/Processors/Comments/Filter.py:117</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html" >Synopsis.Processors.Comments.Filter.SSSFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Filter.SSSFilter.filter_comment" /><h2 >Method Synopsis.Processors.Comments.Filter.SSSFilter.filter_comment</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html#filter_comment" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Filter.py.html#124">Synopsis/Processors/Comments/Filter.py:124</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Filter/SSSFilter.html" >Synopsis.Processors.Comments.Filter.SSSFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper" /><h2 >Class Synopsis.Processors.Comments.Grouper.Grouper</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#13">Synopsis/Processors/Comments/Grouper.py:13</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Grouper.html" >Synopsis.Processors.Comments.Grouper</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#17">Synopsis/Processors/Comments/Grouper.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#tags" >tags</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#22">Synopsis/Processors/Comments/Grouper.py:22</a>: Attribute <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#__group_stack" >__group_stack</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#19">Synopsis/Processors/Comments/Grouper.py:19</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#__init__" >__init__</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#25">Synopsis/Processors/Comments/Grouper.py:25</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#strip_dangling_groups" >strip_dangling_groups</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#37">Synopsis/Processors/Comments/Grouper.py:37</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#finalize" >finalize</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#43">Synopsis/Processors/Comments/Grouper.py:43</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#push" >push</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#49">Synopsis/Processors/Comments/Grouper.py:49</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#56">Synopsis/Processors/Comments/Grouper.py:56</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#push_group" >push_group</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#62">Synopsis/Processors/Comments/Grouper.py:62</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#pop_group" >pop_group</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#80">Synopsis/Processors/Comments/Grouper.py:80</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#process_comments" >process_comments</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#122">Synopsis/Processors/Comments/Grouper.py:122</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#127">Synopsis/Processors/Comments/Grouper.py:127</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#139">Synopsis/Processors/Comments/Grouper.py:139</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_enum" >visit_enum</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#150">Synopsis/Processors/Comments/Grouper.py:150</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_enumerator" >visit_enumerator</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.__init__" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.__init__</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#__init__" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#19">Synopsis/Processors/Comments/Grouper.py:19</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.finalize" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.finalize</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#finalize" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#37">Synopsis/Processors/Comments/Grouper.py:37</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.pop" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#49">Synopsis/Processors/Comments/Grouper.py:49</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.pop_group" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.pop_group</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#pop_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#62">Synopsis/Processors/Comments/Grouper.py:62</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.process_comments" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.process_comments</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#process_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#80">Synopsis/Processors/Comments/Grouper.py:80</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.push" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.push</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#43">Synopsis/Processors/Comments/Grouper.py:43</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.push_group" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.push_group</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#push_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#56">Synopsis/Processors/Comments/Grouper.py:56</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.strip_dangling_groups" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.strip_dangling_groups</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#strip_dangling_groups" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#25">Synopsis/Processors/Comments/Grouper.py:25</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.visit_declaration" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#122">Synopsis/Processors/Comments/Grouper.py:122</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.visit_enum" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#139">Synopsis/Processors/Comments/Grouper.py:139</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.visit_enumerator" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.visit_enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_enumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#150">Synopsis/Processors/Comments/Grouper.py:150</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Grouper.Grouper.visit_scope" /><h2 >Method Synopsis.Processors.Comments.Grouper.Grouper.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Grouper.py.html#127">Synopsis/Processors/Comments/Grouper.py:127</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Grouper/Grouper.html" >Synopsis.Processors.Comments.Grouper.Grouper</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous" /><h2 >Class Synopsis.Processors.Comments.Previous.Previous</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#11">Synopsis/Processors/Comments/Previous.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Previous.html" >Synopsis.Processors.Comments.Previous</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#15">Synopsis/Processors/Comments/Previous.py:15</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#29">Synopsis/Processors/Comments/Previous.py:29</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#push" >push</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#35">Synopsis/Processors/Comments/Previous.py:35</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#40">Synopsis/Processors/Comments/Previous.py:40</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#49">Synopsis/Processors/Comments/Previous.py:49</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#52">Synopsis/Processors/Comments/Previous.py:52</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_builtin" >visit_builtin</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#56">Synopsis/Processors/Comments/Previous.py:56</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_enum" >visit_enum</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#66">Synopsis/Processors/Comments/Previous.py:66</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_enumerator" >visit_enumerator</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#71">Synopsis/Processors/Comments/Previous.py:71</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#process_comments" >process_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.pop" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#35">Synopsis/Processors/Comments/Previous.py:35</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.process" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#15">Synopsis/Processors/Comments/Previous.py:15</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.process_comments" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.process_comments</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#process_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#71">Synopsis/Processors/Comments/Previous.py:71</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.push" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.push</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#29">Synopsis/Processors/Comments/Previous.py:29</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.visit_builtin" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.visit_builtin</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_builtin" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#52">Synopsis/Processors/Comments/Previous.py:52</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.visit_declaration" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#49">Synopsis/Processors/Comments/Previous.py:49</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.visit_enum" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.visit_enum</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_enum" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#56">Synopsis/Processors/Comments/Previous.py:56</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.visit_enumerator" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.visit_enumerator</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_enumerator" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#66">Synopsis/Processors/Comments/Previous.py:66</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Previous.Previous.visit_scope" /><h2 >Method Synopsis.Processors.Comments.Previous.Previous.visit_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html#visit_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Previous.py.html#40">Synopsis/Processors/Comments/Previous.py:40</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Previous/Previous.html" >Synopsis.Processors.Comments.Previous.Previous</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Translator.Translator" /><h2 >Class Synopsis.Processors.Comments.Translator.Translator</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#13">Synopsis/Processors/Comments/Translator.py:13</a>: in module <a href="../Scopes/Synopsis/Processors/Comments/Translator.html" >Synopsis.Processors.Comments.Translator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#16">Synopsis/Processors/Comments/Translator.py:16</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#filter" >filter</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#17">Synopsis/Processors/Comments/Translator.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#processor" >processor</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#18">Synopsis/Processors/Comments/Translator.py:18</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#markup" >markup</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#19">Synopsis/Processors/Comments/Translator.py:19</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#concatenate" >concatenate</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#20">Synopsis/Processors/Comments/Translator.py:20</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#primary_only" >primary_only</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#22">Synopsis/Processors/Comments/Translator.py:22</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#37">Synopsis/Processors/Comments/Translator.py:37</a>: Method <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#visit_declaration" >visit_declaration</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Translator.Translator.process" /><h2 >Method Synopsis.Processors.Comments.Translator.Translator.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#22">Synopsis/Processors/Comments/Translator.py:22</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html" >Synopsis.Processors.Comments.Translator.Translator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Comments.Translator.Translator.visit_declaration" /><h2 >Method Synopsis.Processors.Comments.Translator.Translator.visit_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html#visit_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Comments/Translator.py.html#37">Synopsis/Processors/Comments/Translator.py:37</a>: in class <a href="../Scopes/Synopsis/Processors/Comments/Translator/Translator.html" >Synopsis.Processors.Comments.Translator.Translator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker" /><h2 >Class Synopsis.Processors.Linker.Linker</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#14">Synopsis/Processors/Linker.py:14</a>: in module <a href="../Scopes/Synopsis/Processors/Linker.html" >Synopsis.Processors.Linker</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/Linker.py.html#17">Synopsis/Processors/Linker.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#remove_empty_modules" >remove_empty_modules</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#18">Synopsis/Processors/Linker.py:18</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#sort_modules" >sort_modules</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#19">Synopsis/Processors/Linker.py:19</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#sxr_prefix" >sxr_prefix</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#21">Synopsis/Processors/Linker.py:21</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#68">Synopsis/Processors/Linker.py:68</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#lookup" >lookup</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#74">Synopsis/Processors/Linker.py:74</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#append" >append</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#80">Synopsis/Processors/Linker.py:80</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#push" >push</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#87">Synopsis/Processors/Linker.py:87</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#93">Synopsis/Processors/Linker.py:93</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#top" >top</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#97">Synopsis/Processors/Linker.py:97</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#top_dict" >top_dict</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#101">Synopsis/Processors/Linker.py:101</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#link_type" >link_type</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#110">Synopsis/Processors/Linker.py:110</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_builtin_type_id" >visit_builtin_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#115">Synopsis/Processors/Linker.py:115</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_unknown_type_id" >visit_unknown_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#120">Synopsis/Processors/Linker.py:120</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_declared_type_id" >visit_declared_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#127">Synopsis/Processors/Linker.py:127</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_template_id" >visit_template_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#148">Synopsis/Processors/Linker.py:148</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_modifier_type_id" >visit_modifier_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#155">Synopsis/Processors/Linker.py:155</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_array_type_id" >visit_array_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#162">Synopsis/Processors/Linker.py:162</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_parametrized_type_id" >visit_parametrized_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#170">Synopsis/Processors/Linker.py:170</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_function_type_id" >visit_function_type_id</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#180">Synopsis/Processors/Linker.py:180</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_source_file" >visit_source_file</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#203">Synopsis/Processors/Linker.py:203</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_module" >visit_module</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#225">Synopsis/Processors/Linker.py:225</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#243">Synopsis/Processors/Linker.py:243</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#merge_comments" >merge_comments</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#254">Synopsis/Processors/Linker.py:254</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_meta_module" >visit_meta_module</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#273">Synopsis/Processors/Linker.py:273</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#add_declaration" >add_declaration</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#294">Synopsis/Processors/Linker.py:294</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_builtin" >visit_builtin</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#299">Synopsis/Processors/Linker.py:299</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_named_type" >visit_named_type</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#305">Synopsis/Processors/Linker.py:305</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#306">Synopsis/Processors/Linker.py:306</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_forward" >visit_forward</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#307">Synopsis/Processors/Linker.py:307</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_enum" >visit_enum</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#309">Synopsis/Processors/Linker.py:309</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_function" >visit_function</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#323">Synopsis/Processors/Linker.py:323</a>: Class attribute <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_operation" >visit_operation</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#325">Synopsis/Processors/Linker.py:325</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_variable" >visit_variable</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#333">Synopsis/Processors/Linker.py:333</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_typedef" >visit_typedef</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#340">Synopsis/Processors/Linker.py:340</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_class" >visit_class</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#370">Synopsis/Processors/Linker.py:370</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_inheritance" >visit_inheritance</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#391">Synopsis/Processors/Linker.py:391</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_parameter" >visit_parameter</a></li><li ><a href="../Source/Synopsis/Processors/Linker.py.html#397">Synopsis/Processors/Linker.py:397</a>: Method <a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_const" >visit_const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.add_declaration" /><h2 >Method Synopsis.Processors.Linker.Linker.add_declaration</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#add_declaration" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#273">Synopsis/Processors/Linker.py:273</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.append" /><h2 >Method Synopsis.Processors.Linker.Linker.append</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#append" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#74">Synopsis/Processors/Linker.py:74</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.link_type" /><h2 >Method Synopsis.Processors.Linker.Linker.link_type</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#link_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#101">Synopsis/Processors/Linker.py:101</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.lookup" /><h2 >Method Synopsis.Processors.Linker.Linker.lookup</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#lookup" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#68">Synopsis/Processors/Linker.py:68</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.merge_comments" /><h2 >Method Synopsis.Processors.Linker.Linker.merge_comments</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#merge_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#243">Synopsis/Processors/Linker.py:243</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.pop" /><h2 >Method Synopsis.Processors.Linker.Linker.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#87">Synopsis/Processors/Linker.py:87</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.process" /><h2 >Method Synopsis.Processors.Linker.Linker.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#21">Synopsis/Processors/Linker.py:21</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.push" /><h2 >Method Synopsis.Processors.Linker.Linker.push</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#push" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#80">Synopsis/Processors/Linker.py:80</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.top" /><h2 >Method Synopsis.Processors.Linker.Linker.top</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#top" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#93">Synopsis/Processors/Linker.py:93</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.top_dict" /><h2 >Method Synopsis.Processors.Linker.Linker.top_dict</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#top_dict" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#97">Synopsis/Processors/Linker.py:97</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_array_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_array_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_array_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#155">Synopsis/Processors/Linker.py:155</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_builtin" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_builtin</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_builtin" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#294">Synopsis/Processors/Linker.py:294</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_builtin_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_builtin_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_builtin_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#110">Synopsis/Processors/Linker.py:110</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_class" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_class</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_class" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#340">Synopsis/Processors/Linker.py:340</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_const" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_const</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_const" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#397">Synopsis/Processors/Linker.py:397</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_declared_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_declared_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_declared_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#120">Synopsis/Processors/Linker.py:120</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_function" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_function</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_function" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#309">Synopsis/Processors/Linker.py:309</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_function_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_function_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_function_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#170">Synopsis/Processors/Linker.py:170</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_group" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_group</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_group" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#225">Synopsis/Processors/Linker.py:225</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_inheritance" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_inheritance</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_inheritance" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#370">Synopsis/Processors/Linker.py:370</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_meta_module" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_meta_module</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_meta_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#254">Synopsis/Processors/Linker.py:254</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_modifier_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_modifier_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_modifier_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#148">Synopsis/Processors/Linker.py:148</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_module" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_module</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_module" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#203">Synopsis/Processors/Linker.py:203</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_named_type" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_named_type</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_named_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#299">Synopsis/Processors/Linker.py:299</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_parameter" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_parameter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_parameter" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#391">Synopsis/Processors/Linker.py:391</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_parametrized_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_parametrized_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_parametrized_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#162">Synopsis/Processors/Linker.py:162</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_source_file" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_source_file</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_source_file" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#180">Synopsis/Processors/Linker.py:180</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_template_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_template_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_template_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#127">Synopsis/Processors/Linker.py:127</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_typedef" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_typedef</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_typedef" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#333">Synopsis/Processors/Linker.py:333</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_unknown_type_id" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_unknown_type_id</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_unknown_type_id" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#115">Synopsis/Processors/Linker.py:115</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.Linker.Linker.visit_variable" /><h2 >Method Synopsis.Processors.Linker.Linker.visit_variable</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/Linker/Linker.html#visit_variable" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/Linker.py.html#325">Synopsis/Processors/Linker.py:325</a>: in class <a href="../Scopes/Synopsis/Processors/Linker/Linker.html" >Synopsis.Processors.Linker.Linker</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.MacroFilter.MacroFilter" /><h2 >Class Synopsis.Processors.MacroFilter.MacroFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/MacroFilter.py.html#12">Synopsis/Processors/MacroFilter.py:12</a>: in module <a href="../Scopes/Synopsis/Processors/MacroFilter.html" >Synopsis.Processors.MacroFilter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/MacroFilter.py.html#17">Synopsis/Processors/MacroFilter.py:17</a>: Class attribute <a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html#pattern" >pattern</a></li><li ><a href="../Source/Synopsis/Processors/MacroFilter.py.html#19">Synopsis/Processors/MacroFilter.py:19</a>: Method <a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/MacroFilter.py.html#30">Synopsis/Processors/MacroFilter.py:30</a>: Method <a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html#visit_macro" >visit_macro</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.MacroFilter.MacroFilter.process" /><h2 >Method Synopsis.Processors.MacroFilter.MacroFilter.process</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html#process" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/MacroFilter.py.html#19">Synopsis/Processors/MacroFilter.py:19</a>: in class <a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html" >Synopsis.Processors.MacroFilter.MacroFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.MacroFilter.MacroFilter.visit_macro" /><h2 >Method Synopsis.Processors.MacroFilter.MacroFilter.visit_macro</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html#visit_macro" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/MacroFilter.py.html#30">Synopsis/Processors/MacroFilter.py:30</a>: in class <a href="../Scopes/Synopsis/Processors/MacroFilter/MacroFilter.html" >Synopsis.Processors.MacroFilter.MacroFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter" /><h2 >Class Synopsis.Processors.ModuleFilter.ModuleFilter</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#11">Synopsis/Processors/ModuleFilter.py:11</a>: in module <a href="../Scopes/Synopsis/Processors/ModuleFilter.html" >Synopsis.Processors.ModuleFilter</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#14">Synopsis/Processors/ModuleFilter.py:14</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#modules" >modules</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#15">Synopsis/Processors/ModuleFilter.py:15</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#remove_empty" >remove_empty</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#17">Synopsis/Processors/ModuleFilter.py:17</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#process" >process</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#31">Synopsis/Processors/ModuleFilter.py:31</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#push" >push</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#37">Synopsis/Processors/ModuleFilter.py:37</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#pop" >pop</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#44">Synopsis/Processors/ModuleFilter.py:44</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#pop_only" >pop_only</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#49">Synopsis/Processors/ModuleFilter.py:49</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#add" >add</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#54">Synopsis/Processors/ModuleFilter.py:54</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_declaration" >visit_declaration</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#59">Synopsis/Processors/ModuleFilter.py:59</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_builtin" >visit_builtin</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#60">Synopsis/Processors/ModuleFilter.py:60</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_group" >visit_group</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#61">Synopsis/Processors/ModuleFilter.py:61</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_scope" >visit_scope</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#62">Synopsis/Processors/ModuleFilter.py:62</a>: Class attribute <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_enum" >visit_enum</a></li><li ><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#64">Synopsis/Processors/ModuleFilter.py:64</a>: Method <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#visit_module" >visit_module</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.add" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.add</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#add" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#49">Synopsis/Processors/ModuleFilter.py:49</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis.Processors.ModuleFilter.ModuleFilter.pop" /><h2 >Method Synopsis.Processors.ModuleFilter.ModuleFilter.pop</h2><ul>
<li><a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html#pop" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Processors/ModuleFilter.py.html#37">Synopsis/Processors/ModuleFilter.py:37</a>: in class <a href="../Scopes/Synopsis/Processors/ModuleFilter/ModuleFilter.html" >Synopsis.Processors.ModuleFilter.ModuleFilter</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:27:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
